=== modified file 'NEWS'
--- NEWS	2008-02-28 21:27:44 +0000
+++ NEWS	2008-03-03 18:14:09 +0000
@@ -54,6 +54,9 @@
     * Upgrade bundled ConfigObj to version 4.5.1, which properly quotes #
       signs, among other small improvements. (Matt Nordhoff, #86838)
 
+    * Use correct indices when emitting LCA conflicts.  This fixes IndexError
+      errors.  (Aaron Bentley, #196780)
+
   API BREAKS:
 
     * Support for loading plugins from zip files and

=== modified file 'bzrlib/merge.py'
--- bzrlib/merge.py	2008-01-28 21:46:16 +0000
+++ bzrlib/merge.py	2008-03-02 15:06:13 +0000
@@ -1289,7 +1289,7 @@
             for b_index in range(last_j, j):
                 if b_index in new_b:
                     if b_index in killed_a:
-                        yield 'conflicted-b', self.lines_b[a_index]
+                        yield 'conflicted-b', self.lines_b[b_index]
                     else:
                         yield 'new-b', self.lines_b[b_index]
                 else:

=== modified file 'bzrlib/tests/test_merge.py'
--- bzrlib/tests/test_merge.py	2008-01-29 15:16:31 +0000
+++ bzrlib/tests/test_merge.py	2008-03-02 15:06:13 +0000
@@ -591,9 +591,10 @@
         self.add_version('REV2', ['ROOT'], 'abce')
         # both sides merge, discarding others' changes
         self.add_version('LCA1', ['REV1', 'REV2'], 'abcd')
-        self.add_version('LCA2', ['REV1', 'REV2'], 'abce')
+        self.add_version('LCA2', ['REV1', 'REV2'], 'fabce')
         plan = self.plan_merge_vf.plan_lca_merge('LCA1', 'LCA2')
-        self.assertEqual([('unchanged', 'a\n'),
+        self.assertEqual([('new-b', 'f\n'),
+                          ('unchanged', 'a\n'),
                           ('unchanged', 'b\n'),
                           ('unchanged', 'c\n'),
                           ('conflicted-a', 'd\n'),

